// src/components/dataMenu.js

const dataMenu = [
    {
        items: [
          {
            name: 'Main Dashboard', // Changed the name
            target: 'collapseHome',
            subMenus: [
              {
                name: 'Getting Started',
                link: '/getting-started'
              },
              {
                name: 'Dashboard Overview', // Changed the name
                link: '/dashboard'
              },
              {
                name: 'Application Settings', // Changed the name
                link: '/application'
              },
            ],
          },
        ],
        iconClass: 'fas fa-tachometer-alt',
    },
    {
        items: [
          {
            name: 'Biometric Systems', // Changed the name
            target: 'collapseBiometric',
            subMenus: [
              {
                name: 'Face Recognition System', // Changed the name
                target: 'collapseFaceRecog',
                subMenus: [
                  { name: 'Verify Identity', link: '/face-verify'}, // Changed the name
                  { name: 'Summary Report', link: '/face-summary'}, // Changed the name
                  { name: 'Transaction Log', link: '/face-transaction'}, // Changed the name
                ],
              },
              {
                name: 'KTP OCR', // Changed the name
                target: 'collapseOcrKtp',
                subMenus: [
                  { name: 'Verify KTP', link: '/ktp-verify'}, // Changed the name
                  { name: 'Manage Basic Auth', link: '/ktp-manage'},
                  { name: 'Summary of KTPs', link: '/ktp-summary'}, // Changed the name
                  { name: 'KTP Transaction History', link: '/ktp-transaction'}, // Changed the name
                ],
              },
              {
                name: 'NPWP OCR', // Changed the name
                target: 'collapseOcrNpwp',
                subMenus: [
                  { name: 'Verify NPWP', link: '/npwp-verify'}, // Changed the name
                  { name: 'NPWP Summary', link: '/npwp-summary'}, // Changed the name
                  { name: 'NPWP Transaction Log', link: '/npwp-transaction'}, // Changed the name
                ],
              },
              {
                name: 'SIM OCR', // Changed the name
                target: 'collapseOcrSim',
                subMenus: [
                  { name: 'Verify SIM', link: '/sim-verify'}, // Changed the name
                  { name: 'SIM Summary', link: '/sim-summary'}, // Changed the name
                  { name: 'SIM Transaction Log', link: '/sim-transaction'}, // Changed the name
                ],
              },
              {
                name: 'Document OCR', // Changed the name
                target: 'collapseOcrDocument',
                subMenus: [
                  { name: 'Verify Document', link: '/document-verify'}, // Changed the name
                  { name: 'Document Summary', link: '/document-summary'}, // Changed the name
                  { name: 'Document Transaction History', link: '/document-transaction'}, // Changed the name
                ],
              },
            ],
          },
        ],
        iconClass: 'fas fa-user',
    },
    {
        items: [
            {
            name: 'SMS Services', // Changed the name
            target: 'collapseSms',
            subMenus: [
                {
                name: 'SMS Verification', // Changed the name
                link: '/sms-verify'
                },
                {
                    name: 'SMS OTP Management', // Changed the name
                    target: 'collapseSmsOtp',
                    subMenus: [
                    { name: 'Settings', link: '/sms-otp-settings'},
                    { name: 'Summary Report', link: '/sms-otp-summary'}, // Changed the name
                    { name: 'Transaction Log', link: '/sms-otp-transaction'}, // Changed the name
                    { name: 'Detail View', link: '/sms-otp-detail'}, // Changed the name
                    ],
                },
                {
                    name: 'SMS Announcements', // Changed the name
                    target: 'collapseAnnouncement',
                    subMenus: [
                    { name: 'Bulk Message', link: '/sms-announcement-bulk'}, // Changed the name
                    { name: 'Announcement Summary', link: '/sms-announcement-summary'}, // Changed the name
                    { name: 'Transaction Logs', link: '/sms-announcement-transaction'},
                    ],
                },
                {
                    name: 'Blocked Numbers', // Changed the name
                    link: '/sms-block'
                },
                    {
                    name: 'SMS Anomaly Report', // Changed the name
                    link: '/sms-anomaly'
                },
            ],
            },
        ],
        iconClass: 'fas fa-phone',
    },
    {
        items: [
            {
            name: 'WhatsApp Communication', // Changed the name
            target: 'collapseWa',
            subMenus: [
                {
                name: 'Verify WhatsApp Account', // Changed the name
                link: '/wa-verify'
                },
                {
                    name: 'WhatsApp Management', // Changed the name
                    target: 'collapseWaManage',
                    subMenus: [
                        { name: 'Register Business Account', link: '/wa-manage-register'}, // Changed the name
                        { name: 'WhatsApp Profile Settings', link: '/wa-manage-profile'}, // Changed the name
                        { name: 'Message Templates', link: '/wa-manage-template'}, // Changed the name
                        { name: 'Integration Settings', link: '/wa-manage-integration'}, // Changed the name
                    ],
                },
                {
                    name: 'WhatsApp Activity', // Changed the name
                    target: 'collapseActivity',
                    subMenus: [
                        { name: 'Settings', link: '/wa-activity-settings'}, // Changed the name
                        { name: 'Activity Summary', link: '/wa-activity-summary'}, // Changed the name
                        { name: 'Transaction Logs', link: '/wa-activity-transaction'},
                        { name: 'Bulk Sending', link: '/wa-activity-bulk'}, // Changed the name
                    ],
                },
                {
                    name: 'WhatsApp Inbox', // Changed the name
                    link: '/wa-inbox'
                },
                {
                    name: 'Blocked WhatsApp Numbers', // Changed the name
                    link: '/wa-block'
                },
            ],
            },
        ],
        iconClass: 'fab fa-whatsapp',
    },
    {
        items: [
            {
                name: 'Identity Verification', // Changed the name
                target: 'collapseIdentify',
                subMenus: [
                    {
                        name: 'Electronic Certificate Verification', // Changed the name
                        target: 'collapseElectro',
                        subMenus: [
                            { name: 'Verify Certificate', link: '/identify-electro-verify'}, // Changed the name
                            { name: 'Transaction Logs', link: '/identify-electro-transaction'},
                        ],
                    },
                    {
                        name: 'NPWP Verification', // Changed the name
                        target: 'collapseIdentifyNpwp',
                        subMenus: [
                            { name: 'Transaction Logs', link: '/identify-npwp-transaction'}
                        ],
                    },
                    {
                        name: 'Tax Number Verification', // Changed the name
                        target: 'collapseTax',
                        subMenus: [
                            { name: 'Verify Tax Number', link: '/identify-tax-verify'}, // Changed the name
                            { name: 'Transaction Logs', link: '/identify-tax-transaction'}
                        ],
                    },
                    {
                        name: 'Income Verification', // Changed the name
                        target: 'collapseIncome',
                        subMenus: [
                            { name: 'Verify Income', link: '/identify-income-verify'}, // Changed the name
                            { name: 'Transaction Logs', link: '/identify-income-transaction'}
                        ],
                    },
                    {
                        name: 'ID Verification', // Changed the name
                        target: 'collapseIdVerification',
                        subMenus: [
                            { name: 'Verify ID', link: '/identify-id-verify'}, // Changed the name
                            { name: 'Transaction Logs', link: '/identify-id-transaction'}
                        ],
                    },
                ],
            },
        ],
        iconClass: 'fas fa-edit',
    },
    {
        items: [
            {
                name: 'Watchlist Management', // Changed the name
                target: 'collapseWatchlist',
                subMenus: [
                    {
                        name: 'Watchlist Screening', // Changed the name
                        target: 'collapseScreening',
                        subMenus: [
                            { name: 'Verify Watchlist', link: '/watchlist-screening-verify'}, // Changed the name
                            { name: 'Admin Settings', link: '/watchlist-screening-admin'},
                            { name: 'Search Watchlist', link: '/watchlist-screening-search'}, // Changed the name
                            { name: 'Transaction Logs', link: '/watchlist-screening-transaction'},
                            { name: 'Monitor Watchlist', link: '/watchlist-screening-monitor'},
                        ],
                    },
                ],
            },
        ],
        iconClass: 'fas fa-calendar',
    },
    {
        items: [
            {
                name: 'File Management', // Changed the name
                target: 'collapseFiles',
                subMenus: [
                    {
                        name: 'File Screening', // Changed the name
                        target: 'collapseScreening',
                        subMenus: [
                            { name: 'Verify File', link: '/files-screening-verify'}, // Changed the name
                            { name: 'Search Files', link: '/files-screening-search'}, // Changed the name
                            { name: 'File Management Settings', link: '/files-screening-admin'},
                        ],
                    },
                ],
            },
        ],
        iconClass: 'fas fa-cogs',
    }
];

export default dataMenu;
